# include <Algorithms/HashedAlphaBeta.h>
# include <Game/Game.h>
# include <sstream>
# include <XBoard/XBoardInterface.h>
# include <iostream>
using namespace Alice;
using namespace Alice::XBoard;
int main(void)
{

  std::string source;
  source += "xboard\n";
  source += "new\n";
  source += "force\n";
  source += ("setboard 8/6K1/4N1NP/6k1/8/8/8/8 b - -\n");
  source += "time 500\n";
  source += "go\n";

  std::istringstream input(source);
  std::ostringstream output;
  
  XBoardInterface xboard(input, output);
  xboard.processCommand();//xboard
  
  xboard.processCommand();//new
  xboard.processCommand();//force
  xboard.processCommand();//setboard
  xboard.processCommand();//time
  xboard.processCommand();//go

};
